administer duke_scholars_fetcher configuration:
  title: 'Administer duke_scholars_fetcher configuration'
  description: 'Administer and manually import Scholars@Duke information'
  restrict access: true
